Subject: Password expiration?

From: [email-masked] (Jukka Marin)

Dear Gurus,

I would like to have all passwords expire at certain intervals (like 2 weeks).
I know I can set the expiration time for each account with chpass, but when
the user changes his/her password, the expiration date is cleared and the
new password never expires.

I assume I have to set the expiration period somewhere, so passwd can calculate
the new expiration date whenever the password is changed.

Where do I set the time period?

Thanks in advance,

  Jukka Marin

-- 

| Mail:  Jukka Marin         |     E-Mail:           [email-masked]  |
|        Metsurintie 17 B 8  |     FAX/voice:        +358 71 283 2793     |
|        70150 Kuopio        | There's God above computers -              |
|        FINLAND             |                       Love beyond the hate |
 \                                                                       /
  \ If a train station is where the train stops, what is a workstation? /